io.etcd.jetcd.lease

## Class NoSuchLeaseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - io.etcd.jetcd.lease.NoSuchLeaseException

All Implemented Interfaces:
  Serializable

    public class NoSuchLeaseException
    extends Exception

Signals that the lease client do not have this lease.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchLeaseException(long leaseId)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchLeaseException

    public NoSuchLeaseException(long leaseId)